Redmine - Feature #5325

Add Parent Task to 'Group Results By' drop down
2010-04-15 14:50 - Rosalyn Metz

Status: New Start date: 2010-04-15
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Issues list Estimated time: 0.00 hour
Target version: Candidate for next major release

Resolution:

Description

| just upgraded to the newest version of Redmine in order to take advantage of the subtask feature. However | can't group tasks for
a particular project by Parent Task.

To replicate go to a project and choose "Issues" from the top menu. Choose the "options" section and then open up the drop down
menu for "group results by". | have attached a screenshot.

ruby 1.8.6 (2007-09-24 patchlevel 111) [i386-linux]

Rails 2.3.5

mysql Ver 14.12 Distrib 5.0.77, for redhat-linux-gnu (i386) using readline 5.1
redmine Revision: 3671

Related issues:

Related to Redmine - Feature #6116: Group sub-tasks with parent on issue list New 2010-08-12
Related to Redmine - Feature #6118: Filter by parent task or subtasks Closed 2010-08-12
Related to Redmine - Feature #9992: Ability to filter issue subtasks in issue... New

Is duplicate of Redmine - Feature #5196: Grouping, ordering and viewing issue... Closed 2010-03-26
Has duplicate Redmine - Defect #7646: Tasks organization Closed 2011-02-18
Has duplicate Redmine - Feature #10559: Add Parent Task to 'Group Results By'... Closed

Has duplicate Redmine - Feature #24942: Additional "Group by results" option ... Closed

Has duplicate Redmine - Feature #29519: Issues Section/Tab -Allow issues to b... Closed

History

#1 - 2010-05-09 13:05 - Jean-Philippe Lang
- Status changed from New to Closed

- Resolution set to Duplicate

See #5196.

#2 - 2010-05-09 16:13 - Rosalyn Metz

The patch indicated in #5196 was applied prior to reporting this and did not fix this issue. Can this issue please be reopened and looked at.

If you follow the steps about you'll see that you can not group by parent task.

#3 - 2010-05-18 15:25 - Rosalyn Metz

- Status changed from Closed to Reopened

I'm reopening this since it isn't duplicated by the #5196

#4 - 2011-01-28 17:37 - Tom Finger
- File RedmineSubtasks.png added

Interim workaround less than optimal: Name your subjects in descending alphabetical order. Then the tasks will be indented on the issues display.
See attached.

#5 - 2015-01-03 04:53 - Toshi MARUYAMA
- Related to Feature #10559: Add Parent Task to 'Group Results By' drop down added

#6 - 2015-01-03 04:56 - Toshi MARUYAMA
- Category set to Issues
- Status changed from Reopened to New

- Resolution deleted (Duplicate)

#7 - 2015-01-03 04:57 - Toshi MARUYAMA

- Related to Feature #9992: Ability to filter issue subtasks in issue form added

#8 - 2015-01-03 04:58 - Toshi MARUYAMA
- Related to deleted (Feature #10559: Add Parent Task to 'Group Results By' drop down )

#9 - 2015-01-03 05:03 - Toshi MARUYAMA
- Subject changed from Grouping Issues by Parent ID to Add Parent Task to '‘Group Results By' drop down

#10 - 2015-01-03 05:05 - Toshi MARUYAMA
- Has duplicate Feature #10559: Add Parent Task to 'Group Results By' drop down added

#11 - 2015-08-25 18:27 - Anonymous

+1

#12 - 2016-11-10 09:52 - Arnaud Pissot

+1

#13 - 2016-11-23 11:38 - Toshi MARUYAMA

- Category changed from Issues to Issues filter

#14 - 2016-11-23 11:38 - Toshi MARUYAMA

- Category changed from Issues filter to Issues list

#15 - 2017-02-26 20:18 - Stefan Lindner

+1
It's so strange that this is not possible.

#16 - 2017-03-04 05:07 - Go MAEDA
- Has duplicate Feature #24942: Additional "Group by results" option for parent task added

#17 - 2017-04-08 16:21 - Tom Scheler
- File issue_query _group_by.patch added

The attached patch could be used to add the feature, but it's not tested.
Could somebody with more insight check my changes, please? | am planning to use it in production aswell and was wondering why the parent task is
not in the list of groupable columns.

#18 - 2018-09-08 08:42 - Marius BALTEANU
- Has duplicate Feature #29519: Issues Section/Tab -Allow issues to be grouped by Parent added

#19 - 2018-09-08 17:17 - Bharat Shah

Any chance this feature 'Group by Parent Task' feature developed and released for use?

#20 - 2018-10-01 01:43 - Go MAEDA

- Target version set to Candidate for next major release
#21 - 2019-02-14 05:53 - Hide MATSUTANI

+1 It would be very useful if this is implemented.

#22 - 2019-11-17 16:45 - Aleksandar Pavic

+1 required in some use-case scenarios.

#23 - 2021-07-12 11:48 - Roland Giesler

This issue was raised 11 years ago and has still not been addresses. For anyone wanting at least half-serious workflow it is essential to be able to list

issues with the related sub issues.

There's even been a patch provided by note-18 and it just needs to be integrated by a developer (which I'm unfortunately not).

Can we get someone to take this please? Are there bounties for Redmine devs to help to get this done?

#24 - 2021-09-01 04:09 - Takenori TAKAKI
- File 0001-groupable-by-parent-task.patch added

+1 | think Issues list would be more useful if grouping by Parent Task can be realized.

| made a patch that works on the Latest trunk and attache it.

#25 - 2022-01-31 10:22 - Alexander Ryabinovskiy

We need this feature too.

Files

Picture_1.png

RedmineSubtasks.png
issue_query_group_by.patch
0001-groupable-by-parent-task.patch

2025-07-02

85.8 KB
17.4 KB
1.97 KB
3.19 KB

2010-04-15
2011-01-28
2017-04-08
2021-09-01

Rosalyn Metz
Tom Finger

Tom Scheler
Takenori TAKAKI

3/3


https://www.redmine.org/issues/5325#note-18
http://www.tcpdf.org

